=== debian/changelog ===
libjpeg-turbo (2.1.5-4ubuntu2) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Drop epoch except for libturbojpeg0-dev (& libturbojpeg) since Debian's
      krita package has a versioned Build-Depends on it
    - Set -DWITH_JPEG8=1 and use existing Ubuntu package names
    - Override dh_makeshlibs to use the original libjpeg symbol version
    - Have libturbojpeg0-dev depend on libjpeg-turbo8-dev instead of conflict
      with it
    - Don't have libjpeg-turbo8-dev conflict with libjpeg8-dev
    - Don't build the transitional libjpeg-dev package from here for now;
      Ubuntu builds it from libjpeg8-empty

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 24 Jul 2025 14:15:26 +0200

libjpeg-turbo (1:2.1.5-4) unstable; urgency=medium

  [ Sean McGovern ]
  * Remove powerpc from JAVA_ARCHS as it is currently broken.

  [ Jeremy Bícha ]
  * Strip -Wl,-Bsymbolic-functions out of LDFLAGS
    so that hpcups and pxljr can override jinit_color_converter
    (Closes: #1089027) (LP: #777670).

  [ Mike Gabriel ]
  * debian/source/lintian-overrides:
    + Drop various very-long-line-length-in-source-file (for non-text files).
      Not needed with recent lintian anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 03 May 2025 16:07:15 +0200

libjpeg-turbo (2.1.5-3ubuntu2) plucky; urgency=medium

  * Follow Debian's 2015 rename of libturbojpeg to libturbojpeg0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 19 Nov 2024 12:18:01 -0500

libjpeg-turbo (2.1.5-3ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2086846). Remaining changes:
    - Drop epoch except for libturbojpeg0-dev (& libturbojpeg) since Debian's
      krita package has a versioned Build-Depends on it
    - Set -DWITH_JPEG8=1 and use existing Ubuntu package names
    - Override dh_makeshlibs to use the original libjpeg symbol version
    - Have libturbojpeg0-dev depend on libjpeg-turbo8-dev instead of conflict
      with it
    - Don't have libjpeg-turbo8-dev conflict with libjpeg8-dev
    - Don't build the transitional libjpeg-dev package from here for now;
      Ubuntu builds it from libjpeg8-empty
    - Use libturbojpeg library name instead of libturbojpeg0
      to avoid a transition for now
    - Strip -Wl,-Bsymbolic-functions out of LDFLAGS, so that hpcups and
      pxljr can override jinit_color_converter (LP: #777670)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 07 Nov 2024 12:34:07 +0100

libjpeg-turbo (1:2.1.5-3.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ zhaixiaojuan ]
  * Fix test failure for loong64

 -- xiao sheng wen <atzlinux@debian.org>  Sat, 22 Feb 2025 12:18:15 +0800

libjpeg-turbo (1:2.1.5-3) unstable; urgency=medium

  [ Pino Toscano ]
  * Enable Java binding only where Java is available.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable).

  [ Mike Gabriel ]
  * debian/control:
    + White-space fix in B-D field + trailing comma.
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 25 Apr 2024 16:17:41 +0200

libjpeg-turbo (2.1.5-2ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:04:50 +0200

libjpeg-turbo (2.1.5-2ubuntu1) lunar; urgency=medium

  * Sync with Debian for first time since package was uploaded to Debian
    (LP: #1562880). Remaining changes:
    - Drop epoch except for libturbojpeg0-dev (& libturbojpeg) since Debian's
      krita package has a versioned Build-Depends on it
    - Set -DWITH_JPEG8=1 and use existing Ubuntu package names
    - Override dh_makeshlibs to use the original libjpeg symbol version
    - Have libturbojpeg0-dev depend on libjpeg-turbo8-dev instead of conflict
      with it
    - Don't have libjpeg-turbo8-dev conflict with libjpeg8-dev
    - Don't build the transitional libjpeg-dev package from here for now;
      Ubuntu builds it from libjpeg8-empty
    - Have libjpeg-turbo-progs Break/Replace libjpeg-turbo-test
      for move of tjbench
    - Use libturbojpeg library name instead of libturbojpeg0
      to avoid a transition for now
    - Strip -Wl,-Bsymbolic-functions out of LDFLAGS, so that hpcups and
      pxljr can override jinit_color_converter (LP: #777670)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 08 Feb 2023 14:06:46 -0500

libjpeg-turbo (1:2.1.5-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_initialize-simd-support-before-every-use.patch. (Closes:
      #1030347).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 03 Feb 2023 15:28:42 +0100

libjpeg-turbo (1:2.1.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase patches.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Cleanup copyright.in manually. Too much binary noise.
    + Update copyright attributions.
    + Update copyright attributions for debian/.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * lintian: Adjust lintian override tags to new syntax, adjust upstream
    version 2.1.5.
  * debian/watch:
    + Ignore RC releases (x.y.9z pattern).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 02 Feb 2023 11:45:21 +0100

libjpeg-turbo (1:2.1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    + Add get-orig-source target (for maintainers' convenience).
  * debian/control:
    + Add B-D: help2man.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

  [ Mathieu Malaterre ]
  * debian/rules:
    + Prefer auto generated tjbench manpage. (Closes: #1000462).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 26 Nov 2021 14:41:55 +0100

libjpeg-turbo (1:2.1.1-2) unstable; urgency=medium

  [ Daniel Leidert ]
  * Build with Java enabled. (Closes: #989217).
    - d/control: Add libturbojpeg-java package.

