=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libjpeg-turbo-$1\.tar\.gz/ \
  https://github.com/libjpeg-turbo/libjpeg-turbo/tags .*/v?(\d\.\d\.\d)\.tar\.gz
