## libjpeg-turbo 3.1.1

=== debian/changelog ===
libjpeg-turbo (1:3.1.1-0aatgv1) unstable; urgency=medium

  * New upstream from https://github.com/libjpeg-turbo/libjpeg-turbo/releases
  * Update debian/libturbojpeg0.symbols and debian/libjpeg62-turbo.symbols
  * debian/rules:
    - DPKG_GENSYMBOLS_CHECK_LEVEL = 4

 -- Amon Ott <ao@m-privacy.de>  Wed, 11 Jun 2025 10:16:00 +0200

libjpeg-turbo (1:3.1.0-0aaxmp2) unstable; urgency=medium

  * Rebuild with SBOM

 -- Amon Ott <ao@m-privacy.de>  Tue, 28 Jan 2025 09:18:00 +0100

libjpeg-turbo (1:3.1.0-0aaxmp1) unstable; urgency=medium

  * New upstream from https://github.com/libjpeg-turbo/libjpeg-turbo/releases
  * Disable obsolete patch 1001_fix-groff-warning-macro-f-not-defined.patch
  * debian/libturbojpeg0.rsbac:
    - adjust version
  * debian/rules:
    - override_dh_installchangelogs: fix path to change.log
  * debian/libjpeg62-turbo-dev.install:
    - adjust path to jpegint.h
  * debian/docs:
    - comment structure.txt
  * debian/libjpeg62-turbo-dev.docs
    - comment libjpeg.txt, usage.txt, wizard.txt, structure.txt
  * rm debian/libjpeg-turbo-progs.docs
  * rm debian/libjpeg62-turbo-dev.examples

 -- Amon Ott <ao@m-privacy.de>  Fri, 20 Dec 2024 09:21:00 +0100

libjpeg-turbo (1:3.0.4-0aaxmp1) unstable; urgency=medium

  * New upstream from https://github.com/libjpeg-turbo/libjpeg-turbo/releases

 -- Amon Ott <ao@m-privacy.de>  Wed, 25 Sep 2024 10:13:00 +0200

libjpeg-turbo (1:3.0.3-0aavmp1) unstable; urgency=medium

  * New upstream from https://github.com/libjpeg-turbo/libjpeg-turbo/releases

 -- Amon Ott <ao@m-privacy.de>  Thu, 13 Jun 2024 09:51:00 +0200

libjpeg-turbo (1:3.0.1-0aavmp1) unstable; urgency=medium

  * New upstream from https://sourceforge.net/projects/libjpeg-turbo/files/

 -- Amon Ott <ao@m-privacy.de>  Thu, 02 Nov 2023 08:27:00 +0100

libjpeg-turbo (1:3.0.0-0aavmp1) unstable; urgency=medium

  * New upstream from https://sourceforge.net/projects/libjpeg-turbo/files/

 -- Amon Ott <ao@m-privacy.de>  Fri, 07 Jul 2023 13:01:00 +0200

libjpeg-turbo (1:2.1.91-0aaump1) unstable; urgency=medium

  * New upstream from https://sourceforge.net/projects/libjpeg-turbo/files/
  * This is 3.0 Beta 2
  * debian/rules:
    - DPKG_GENSYMBOLS_CHECK_LEVEL = 0
  * update debian/lib*.rsbac

 -- Amon Ott <ao@m-privacy.de>  Wed, 22 Mar 2023 12:57:00 +0100

libjpeg-turbo (1:2.1.5.1-0aaump1) unstable; urgency=medium

  * New upstream from https://sourceforge.net/projects/libjpeg-turbo/files/

 -- Amon Ott <ao@m-privacy.de>  Fri, 24 Feb 2023 14:00:00 +0100

libjpeg-turbo (1:2.1.5-0aaump1) unstable; urgency=medium

  * New upstream from https://sourceforge.net/projects/libjpeg-turbo/files/

 -- Amon Ott <ao@m-privacy.de>  Thu, 09 Feb 2023 12:47:00 +0100

libjpeg-turbo (1:2.1.4-0aaump1) unstable; urgency=medium

  * debian/rules:
    - export DEB_CFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=8 -ffat-lto-objects
    - export DEB_CXXFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=8 -ffat-lto-objects
    - export DEB_LDFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=8 -ffat-lto-objects

 -- Amon Ott <ao@m-privacy.de>  Wed, 30 Nov 2022 11:15:00 +0100

libjpeg-turbo (1:2.1.4-0aatmp1) unstable; urgency=medium

  * New upstream from https://sourceforge.net/projects/libjpeg-turbo/files/

 -- Amon Ott <ao@m-privacy.de>  Fri, 09 Sep 2022 08:35:00 +0200

libjpeg-turbo (1:2.1.3-0aatmp2) unstable; urgency=medium

  * Bump version because of symbol changes

 -- Amon Ott <ao@m-privacy.de>  Fri, 24 Jun 2022 12:25:00 +0200

libjpeg-turbo (1:2.1.3-0aatmp1) unstable; urgency=medium

  * New upstream from https://sourceforge.net/projects/libjpeg-turbo/files/

 -- Amon Ott <ao@m-privacy.de>  Thu, 23 Jun 2022 11:35:00 +0200

libjpeg-turbo (1:2.1.2-1aatmp1) unstable; urgency=medium

  * Build for m-privacy
  * Add RSBAC settings
  * debian/rules:
    - export DEB_CFLAGS_MAINT_APPEND += -mtune=corei7 -flto=8 -ffat-lto-objects
    - export DEB_CXXFLAGS_MAINT_APPEND += -mtune=corei7 -flto=8 -ffat-lto-objects
    - export DEB_LDFLAGS_MAINT_APPEND += -flto=8 -ffat-lto-objects

 -- Amon Ott <ao@m-privacy.de>  Fri, 24 Jun 2022 11:30:51 +0200
