=== debian/rules ===
--- 
+++ 
@@ -11,14 +11,18 @@
 ifneq (,$(filter $(DEB_HOST_ARCH), m68k))
   FLOAT_STORE=-ffloat-store
 endif
-ifneq (,$(filter $(DEB_HOST_ARCH), ia64 loong64 riscv64 s390x))
+ifneq (,$(filter $(DEB_HOST_ARCH), ia64 riscv64 s390x))
   FLOATTEST=-DFLOATTEST=fp-contract
 endif
 
 # To enable all, uncomment following line
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
-export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic $(FLOAT_STORE)
+export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic $(FLOAT_STORE)
+
+# m-privacy
+export DEB_CFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
+export DEB_CXXFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
+export DEB_LDFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
 
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 
@@ -43,20 +47,12 @@
   DISABLE_SIMD=-DWITH_SIMD=0
 endif
 
-JAVA_ARCHS = alpha amd64 arm64 armel armhf i386 ia64 loong64 m68k mips64el ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
-
-ifneq (,$(filter $(DEB_HOST_ARCH), $(JAVA_ARCHS)))
-  DISABLE_JAVA=-DWITH_JAVA=1
-else
-  DISABLE_JAVA=-DWITH_JAVA=0
-endif
-
 %:
 	dh $@ --with javahelper
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(DISABLE_SIMD) $(FLOATTEST) $(DISABLE_JAVA) \
-	                     -DWITH_JPEG8=1 \
+	dh_auto_configure -- $(DISABLE_SIMD) $(FLOATTEST) \
+	                     -DWITH_JAVA=1 \
 	                     -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	                     -DCMAKE_INSTALL_MANDIR=/usr/share/man/
 	                     $(NULL)
@@ -91,19 +87,9 @@
 override_dh_missing:
 	dh_missing --fail-missing
 
-execute_after_dh_gencontrol:
-	dh_gencontrol -p libturbojpeg0-dev -- -v1:$(DEB_VERSION)
-	dh_gencontrol -p libturbojpeg0 -- -v1:$(DEB_VERSION)
-
-override_dh_makeshlibs:
-	: # keep the original libjpeg symbol version
-	dh_makeshlibs -- -v8c
-	: # ... and mark libjpeg-turbo only symbols with a different version
-	sed -i "$$(for i in $$(cat debian/libjpeg-turbo-only.symbols); do echo "/^ $$i/s/8c$$/8c-2ubuntu5~/;"; done)" debian/libjpeg-turbo8/DEBIAN/symbols
-
 override_dh_installchangelogs:
-	dh_installchangelogs -plibjpeg-turbo8-dev change.log
-	dh_installchangelogs -Nlibjpeg-turbo8-dev
+	dh_installchangelogs -plibjpeg62-turbo-dev doc/change.log
+	dh_installchangelogs -Nlibjpeg62-turbo-dev
 
 # See debhelper:
 DEFAULT_BUILD_DIRECTORY = obj-$(DEB_HOST_GNU_TYPE)
@@ -118,3 +104,10 @@
 
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..
+
+override_dh_compress:
+	mp_rsbac
+	dh_compress
+
+override_dh_auto_test:
+	dh_auto_test || true
