## libjpeg-turbo 3.1.2

=== debian/changelog ===
libjpeg-turbo (1:3.1.2-0aatgv1) unstable; urgency=medium

  * New upstream from https://github.com/libjpeg-turbo/libjpeg-turbo/releases
  * Update debian/libturbojpeg0.symbols and debian/libjpeg62-turbo.symbols
  * debian/rules:
    - export DEB_CFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects -D_GLIBCXX_ASSERTIONS -fstack-clash-protection
    - export DEB_CXXFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects -D_GLIBCXX_ASSERTIONS -fstack-clash-protection
    - export DEB_LDFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects -D_GLIBCXX_ASSERTIONS -fstack-clash-protection

 -- Amon Ott <ao@m-privacy.de>  Mon, 08 Sep 2025 07:43:00 +0200

libjpeg-turbo (1:3.1.1-0aaxmp1) unstable; urgency=medium

  * New upstream from https://github.com/libjpeg-turbo/libjpeg-turbo/releases
  * Update debian/libturbojpeg0.symbols and debian/libjpeg62-turbo.symbols
  * debian/rules:
    - DPKG_GENSYMBOLS_CHECK_LEVEL = 4

 -- Amon Ott <ao@m-privacy.de>  Wed, 11 Jun 2025 10:16:00 +0200
