=== debian/control ===
--- 
+++ 
@@ -1,49 +1,48 @@
 Source: libjpeg-turbo
 Priority: optional
 Section: graphics
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ondřej Surý <ondrej@debian.org>
+Maintainer: Ondřej Surý <ondrej@debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12),
                debhelper-compat (= 13),
-               default-jdk [!hppa !hurd-any !powerpc],
+               default-jdk,
                help2man,
                javahelper,
-               nasm,
+	       nasm
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.6.0
 Homepage: https://www.libjpeg-turbo.org/
 Vcs-Git: https://salsa.debian.org/debian/libjpeg-turbo.git
 Vcs-Browser: https://salsa.debian.org/debian/libjpeg-turbo/
 
-#Package: libjpeg-dev
-#Architecture: any
-#Multi-Arch: same
-#Section: libdevel
-#Depends: libjpeg8-turbo-dev (>= ${source:Version}),
-# 	 ${misc:Depends}
-#Conflicts: libjpeg62-dev,
-#	   libjpeg7-dev,
-#	   libjpeg8-dev,
-#	   libjpeg9-dev
-#Description: Development files for the JPEG library [dummy package]
-# This package depends on default Debian implementation of
-# libjpeg.so.8 JPEG library.
+Package: libjpeg-dev
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends: libjpeg62-turbo-dev (>= ${source:Version}),
+ 	 ${misc:Depends}
+Conflicts: libjpeg62-dev,
+	   libjpeg7-dev,
+	   libjpeg8-dev,
+	   libjpeg9-dev
+Description: Development files for the JPEG library [dummy package]
+ This package depends on default Debian implementation of
+ libjpeg.so.62 JPEG library.
 
-Package: libjpeg-turbo8-dev
+Package: libjpeg62-turbo-dev
 Architecture: any
 Section: libdevel
 Multi-Arch: same
 Depends: libc-dev,
-	 libjpeg-turbo8 (= ${binary:Version}),
+	 libjpeg62-turbo (= ${binary:Version}),
 	 ${misc:Depends}
 Conflicts: libjpeg62-dev,
 	   libjpeg7-dev,
-#	   libjpeg8-dev,
+	   libjpeg8-dev,
 	   libjpeg9-dev
 Replaces: libjpeg62-dev,
 	  libjpeg7-dev,
-#	  libjpeg8-dev,
+	  libjpeg8-dev,
 	  libjpeg9-dev
 Provides: libjpeg-dev
 Description: Development files for the libjpeg-turbo JPEG library
@@ -56,12 +55,15 @@
  .
  This package contains the static library, headers and documentation.
 
-Package: libjpeg-turbo8
+Package: libjpeg62-turbo
 Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: ${misc:Depends},
 	 ${shlibs:Depends}
+Conflicts: libjpeg62
+Replaces: libjpeg62
+Provides: libjpeg62 (= ${binary:Version})
 Description: libjpeg-turbo JPEG runtime library
  The libjpeg-turbo JPEG library is a library for handling JPEG files.
  .
@@ -81,6 +83,7 @@
 	 ${misc:Depends}
 Replaces: libturbojpeg
 Conflicts: libturbojpeg,
+	   libjpeg-turbo8
 Description: TurboJPEG runtime library - SIMD optimized
  The libjpeg-turbo JPEG library is a library for handling JPEG files.
  .
@@ -99,6 +102,7 @@
 Replaces: libturbojpeg-dev,
 Conflicts: libturbojpeg-dev,
 	   libturbojpeg1-dev,
+	   libjpeg-turbo8-dev,
 Provides: libturbojpeg-dev
 Description: Development files for the TurboJPEG library
  The libjpeg-turbo JPEG library is a library for handling JPEG files.
