=== debian/rules ===
--- 
+++ 
@@ -20,9 +20,9 @@
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic $(FLOAT_STORE)
 
 # m-privacy
-export DEB_CFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
-export DEB_CXXFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
-export DEB_LDFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
+export DEB_CFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects -D_GLIBCXX_ASSERTIONS -fstack-clash-protection
+export DEB_CXXFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects -D_GLIBCXX_ASSERTIONS -fstack-clash-protection
+export DEB_LDFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects -D_GLIBCXX_ASSERTIONS -fstack-clash-protection
 
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
